-----------------------------------------------------------------------------------------------
-- Client Lua Script for ImBusy
-----------------------------------------------------------------------------------------------
 
-----------------------------------------------------------------------------------------------
-- ImBusy Module Definition
-----------------------------------------------------------------------------------------------
local ImBusy = {} 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function ImBusy:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 
    return o
end

function ImBusy:Init()
    Apollo.RegisterAddon(self, false, "", {"HUDAlerts"})
end
 

-----------------------------------------------------------------------------------------------
-- ImBusy OnLoad
-----------------------------------------------------------------------------------------------

function ImBusy:OnLoad()
    self:InitializeHooks()
end

-----------------------------------------------------------------------------------------------
-- ImBusy Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here

function ImBusy:InitializeHooks()
	local tHUDAlerts = Apollo.GetAddon("HUDAlerts")
	local originalShowAndInitializeAlert = tHUDAlerts.ShowAndInitializeAlert
		
	tHUDAlerts.ShowAndInitializeAlert = function(self, wndAlert)
		originalShowAndInitializeAlert(self,wndAlert)
		if wndAlert == self.wndCallAlert then
			wndAlert:Show(false)
		end
	end
	
	local originalDrawQuestCompleteAlert = tHUDAlerts.DrawQuestCompleteAlert
	
	tHUDAlerts.DrawQuestCompleteAlert = function(self, tQuestsTracked)
		originalDrawQuestCompleteAlert(self, tQuestsTracked)
		self.wndQuestCompleteAlert:Show(false)
	end
			
end

-----------------------------------------------------------------------------------------------
-- ImBusy Instance
-----------------------------------------------------------------------------------------------
local ImBusyInst = ImBusy:new()
ImBusyInst:Init()
